--PLAYER_REGEN_DISABLED PLAYER_REGEN_ENABLED UPDATE
function(e)
	if e == "PLAYER_REGEN_DISABLED" then
		if not aura_env.seconds then aura_env.seconds = 0 end
		if not aura_env.minutes then aura_env.minutes = 0 end
		local aura_env = aura_env
		aura_env.ticker = C_Timer.NewTicker(1, function() aura_env.seconds = aura_env.seconds + 1; if aura_env.seconds > 59 then aura_env.seconds = 0; aura_env.minutes = aura_env.minutes + 1 end; WeakAuras.ScanEvents("UPDATE") end)
		return true
	elseif e == "PLAYER_REGEN_ENABLED" then
		aura_env.minutes = 0; aura_env.seconds = 0
		if aura_env.ticker then aura_env.ticker:Cancel() end
	elseif e == "UPDATE" then return true end
end

--DISPLAY
function()
	if aura_env.seconds and aura_env.minutes then
		return aura_env.minutes .. ":" .. aura_env.seconds
	end
end 